OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PTColStd

# PTColStd_DataMapNodeOfPersistentTransientMap Class Reference

`#include <PTColStd_DataMapNodeOfPersistentTransientMap.hxx>`

## Public Member Functions
| PTColStd_DataMapNodeOfPersistentTransientMap (const Handle(Standard_Persistent)&K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
Handle_Standard_Persistent & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Standard_Persistent | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

PTColStd_DataMapNodeOfPersistentTransientMap::PTColStd_DataMapNodeOfPersistentTransientMap | ( | const Handle(Standard_Persistent)& | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const PTColStd_DataMapNodeOfPersistentTransientMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Persistent& PTColStd_DataMapNodeOfPersistentTransientMap::Key | ( |  | ) | const

Handle_Standard_Transient& PTColStd_DataMapNodeOfPersistentTransientMap::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Persistent PTColStd_DataMapNodeOfPersistentTransientMap::myKey`[private]`

Handle_Standard_Transient PTColStd_DataMapNodeOfPersistentTransientMap::myValue`[private]`

The documentation for this class was generated from the following file:

- PTColStd_DataMapNodeOfPersistentTransientMap.hxx